sigmlgen

## Class SiGMLResolver

- java.lang.Object
- - sigmlgen.SiGMLResolver

- All Implemented Interfaces:
    org.xml.sax.EntityResolver, CleanerEntityResolver

      public class SiGMLResolver
      extends java.lang.Object
      implements CleanerEntityResolver

  A SAX entity resolver for the standard SiGML DTDs, that is, for the SiGML DTD, the HamNoSysML (HML) DTD, and the SiGML-stream DTD. By default, these all resolve to local copies of the standard DTDs, but alternative local versions may be specified at construction time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiGMLResolver()` Constructs a resolver for the SiGML DTDs that uses the standard local copies.
    `SiGMLResolver(boolean override)` Constructs a resolver for the SiGML DTDs that uses the standard local copies.
    `SiGMLResolver(java.lang.String hmldtd, java.lang.String sigmldtd)` Constructs a resolver for the SiGML DTDs that uses the specified file names, if present, for the HML and SiGML DTDs; in either case a `null` argument implies use of the standard DTD file name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.xml.sax.InputSource` | `resolveEntity(java.lang.String publicId, java.lang.String systemId)` Resolves the SAX entity with the given public and system IDs: if the given system ID is the URI of one of the SiGML DTDs, then a SAX input source for this resolver's version of that DTD will be returned, but in all other cases this method returns `null`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SiGMLResolver

          public SiGMLResolver()

      Constructs a resolver for the SiGML DTDs that uses the standard local copies.

    - #### SiGMLResolver

          public SiGMLResolver(boolean override)

      Constructs a resolver for the SiGML DTDs that uses the standard local copies. Allow setting of the overrideURI flag.

    - #### SiGMLResolver

          public SiGMLResolver(java.lang.String hmldtd,
                               java.lang.String sigmldtd)

      Constructs a resolver for the SiGML DTDs that uses the specified file names, if present, for the HML and SiGML DTDs; in either case a `null` argument implies use of the standard DTD file name. JRWG: Never used.

  - ### Method Detail

    - #### resolveEntity

          public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                                       java.lang.String systemId)
                                                throws org.xml.sax.SAXException

      Resolves the SAX entity with the given public and system IDs: if the given system ID is the URI of one of the SiGML DTDs, then a SAX input source for this resolver's version of that DTD will be returned, but in all other cases this method returns `null`.
      Specified by:
        `resolveEntity` in interface `org.xml.sax.EntityResolver`
      Specified by:
        `resolveEntity` in interface `CleanerEntityResolver`
      Throws:
        `org.xml.sax.SAXException`